Subject: RE: [Mip6] [issue70] The IP address fields are unclear when IPv4traffic is tunneled

From: "Soliman, Hesham" <[email-masked]>
Date: Mon, 6 Mar 2006 12:47:25 -0500

Folks, 

please be quite verbose with the description of the problem to make
sure it's clear to everyone. 

Ryuji, 

 > When a MN communicates with IPv6-HoA from IPv4 foreign link, 
 > there is no texts 
 > about how IP headers are specified.

=> The current draft follows the same format described in 3775. 
I thought this was clearly described in sections 4. I'm not 
sure what the above sentence means, but if you're asking about 
the header format for communicating with another IPv6 node, 
using the IPv6 home address then the draft follows the following
format:

MN->HA

IPv4 header (src=v4CoA, dst=HA_V4ADDR)
  [UDP] (only if NAT detected or HA requires it)
    IPv6 header (src=IPv6_HoA, dst=CN)

Of course this doesn't match any of the options below but it
seems to match your query above. So please clarify what you're 
asking for. 

Hesham

 > 
 > *option1
 > MN->HA
 > IPv4 (src = IPv4-CoA, dst= IPv4-HA)
 > IPv6 (src = IPv6-MAPPED, dst= IPV6-HA)
 >     HoA (IPv6-HoA)
 > 
 > HA->MN
 > IPv4 (src = IPv4-HA, dst= IPv4-CoA)
 > IPv6 (src = IPv6-HA, dst= IPV6-MAPPED)
 >     RTHDR(IPv6-HoA)
 > 
 > *option2
 > MN->HA
 > IPv4 (src = IPv4-CoA, dst= IPv4-HA)
 > IPv6 (src = IPv6-HoA, dst= IPV6-HA)
 > 
 > HA->MN
 > IPv4 (src = IPv4-HA, dst= IPv4-CoA)
 > 
 > I prefer the option 2, because it can save the packet size.
 > Furthermore, carrying IPv4 mapped address in the IPv6 headers are
 > troublesome.  Since the MN may not configure the IPv4-MAPPED address
 > on the network interface, it can not receive any packets 
 > meant for the
 > IPv4-MAPPED address. There is no routing entry for the IPv4 mapped
 > address and MN can not treat that the received packets are mine.
 > 
 > We should use the IPv4 mapped address only for managing IPv4 CoA in
 > database of MIP6 such as BUL, BC. Otherwise, the MN must create a
 > route entry for the IPv4-MAPPED.
 > 
 > ----------
 > category: Technical
 > draft: draft-ietf-mip6-nemo-v4traversal
 > messages: 222
 > nosy: ryuji
 > priority: Must fix
 > status: Pending
 > title: The IP address fields are unclear when IPv4 traffic 
 > is tunneled
 > 
 > _________________________________________________
 > Mip6 issue tracker <[email-masked]>
 > <http://www.mip4.org/issues/tracker/mip6/issue70>
 > _________________________________________________
 > 
 > _______________________________________________
 > Mip6 mailing list
 > [email-masked]
 > https://www1.ietf.org/mailman/listinfo/mip6
 > 

===========================================================
This email may contain confidential and privileged material for the sole use
 of the intended recipient.  Any review or distribution by others is strictly
 prohibited.  If you are not the intended recipient please contact the sender
 and delete all copies.
===========================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Ryuji Wakikawa <[email-masked]>
Date: Tue, 7 Mar 2006 02:53:06 +0900

Oops, yes, the destination is CN.

Which sections are you describing this? I cannot find this.
In Section 4 you described how MN handles BU and BA.
But no IP header info. for data packets.

ryuji

---

From: Koshiro MITSUYA <[email-masked]>
Date: Tue, 07 Mar 2006 16:14:30 +0900

Hello Hesham,

I hope it's a same packet format for the other way (CN->MN).

Since it's a different way from RFC 3775 Sec. 9.3.2,
I think it's better to clearly describe them in the draft.
Sec. 4 looks discussing only about the packet format for BU/BA.

regards,
Koshiro

At Mon, 6 Mar 2006 12:47:25 -0500,